#!/usr/bin/env python

def main(args):
    list1 = []
    list2 = []

    with open("input.txt") as f:
        for line in f:
            line = line.strip()
            tmp = line.split(" ")
            list1.append(int(tmp[0]))
            list2.append(int(tmp[3]))
    similarity = 0
    for i in range(len(list1)):
        tmp = [x for x in list2 if x == list1[i]]
        similarity += (len(tmp) * list1[i])
    print(similarity)

if __name__ == "__main__":
    import argparse
    
    parser = argparse.ArgumentParser(
        prog='AdventOfCode 2024, Day 01, part 2',
    )
    parser.add_argument('-f', '--file', required=True)
    args = parser.parse_args()
    main(args)